Bug 969753 - quantum list commands don't provide tenant isolation
quantum list commands don't provide tenant isolation
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
3.0
Unspecified Unspecified
low Severity low
: ---
: 4.0
Assigned To: RHOS Maint
Ofer Blaut
:
: 986836 (view as bug list)
Depends On:
Blocks: 986832
  Show dependency treegraph
 
Reported: 2013-06-02 03:16 EDT by yfried
Modified: 2016-04-26 15:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-13 05:57:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1250766 None None None Never

  None (edit)
Description yfried 2013-06-02 03:16:57 EDT
Description of problem:
quantum *-list commands (such as "security-group-list" and "net-list" output data for all tenants instead of relevant tenant only.


quantum security-group-list 
+--------------------------------------+---------+-------------+
| id                                   | name    | description |
+--------------------------------------+---------+-------------+
| 32573862-b546-43f6-905d-9d1e4297a9be | default | default     |
| 9bd6a40e-845c-425b-aae6-45439f9a8b4d | default | default     |
| a1041a3d-1be6-4947-ac2f-cb20fbeb340a | default | default     |
+--------------------------------------+---------+-------------+


as opposed to "nova-list" command which provides data the relevant tenant unless specifically using flag "--all-tenants 1"

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. use at least 2 tenants
2. quantum security-group-list from one of them

Actual results:
output of all tenants

Expected results:
output of only currnet tenant

Additional info:
Comment 3 lpeer 2013-08-12 07:46:25 EDT
After further investigation with Ofer we see that this behaviour is relevant only for the default administrator in the default tenant.

The issue pointed out by Ofer is the inconsistency with the behaviour in Nova.
Comment 4 lpeer 2013-08-13 07:09:37 EDT
*** Bug 986836 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.